# Request a zip of case files **POST /cases/files/{caseId}/zip-download** Queues a zip of the given case files. The job runs in the background; poll GET /case/:caseId/export or listen on the case socket for the file. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Headers - **organization** (string) id of the selected (active) organization ### Path parameters - **caseId** (string) ### Body: application/json (object) - **searchText** (string) - **extractionCode** (string) - **tags** (array[string]) - **category** (string) - **fileIds** (array[string]) CaseFile ObjectIds to include in the zip. If non-empty, takes precedence over filter fields. Maximum 50000 ids. ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)